// config.cpp : implementation file
//

#include "stdafx.h"
#include "album.h"
#include "config.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfig dialog

CConfig::CConfig(CWnd* pParent /*=NULL*/)
	: CDialog(CConfig::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfig)
	m_lMargin = 0;
	m_tMargin = 0;
	m_rMargin = 0;
	m_bMargin = 0;
	m_across = 0;
	m_down = 0;
	m_thumb = 0;
	//}}AFX_DATA_INIT
}

void CConfig::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfig)
	DDX_Text(pDX, IDC_EDIT1, m_lMargin);
	DDV_MinMaxFloat(pDX, m_lMargin, 0., 8.);
	DDX_Text(pDX, IDC_EDIT2, m_tMargin);
	DDV_MinMaxFloat(pDX, m_tMargin, 0., 8.);
	DDX_Text(pDX, IDC_EDIT3, m_rMargin);
	DDV_MinMaxFloat(pDX, m_rMargin, 0., 8.);
	DDX_Text(pDX, IDC_EDIT4, m_bMargin);
	DDX_Text(pDX, IDC_EDIT6, m_across);
	DDV_MinMaxUInt(pDX, m_across, 1, 99);
	DDX_Text(pDX, IDC_EDIT7, m_down);
	DDV_MinMaxUInt(pDX, m_down, 1, 99);
	DDX_Text(pDX, IDC_EDIT5, m_thumb);
	DDV_MinMaxUInt(pDX, m_thumb, 50, 2400);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CConfig, CDialog)
	//{{AFX_MSG_MAP(CConfig)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfig message handlers
