// mainfrm.h : interface of the CMainFrame class
// doug overmyer 7/1/93
// main window for the Album mdi app

#ifndef __AFXEXT_H__
#include <afxext.h>         // for access to CToolBar and CStatusBar
#endif    
#ifndef _STSMTR
#include "stsmtr.h"
#endif
#include "albuminc.h"
class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Implementation
public:
	virtual ~CMainFrame();  
	CAlbumApp* GetApp()
	{return (CAlbumApp*) AfxGetApp();}

//protected:  // control bar embedded members
	CStsMtr  m_wndStatusBar;
	CToolBar    m_wndToolBar;           
                        
// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	afx_msg BOOL OnQueryNewPalette();
	afx_msg void OnWindowCloseall();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnEditClearClip();
	afx_msg void OnUpdateEditClearClip(CCmdUI* pCmdUI);
	afx_msg void OnConfigure();   
	afx_msg LRESULT OnGetStateInfo(WPARAM wParam, LPARAM lParam); 
	afx_msg LRESULT OnGetStatusBar(WPARAM wParam, LPARAM lParam);
	afx_msg void OnSysColorChange();
	afx_msg void OnUpdateIndicatorClipboard(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
