// prntview.h : interface of the CPrntView class
//

class CPrntView : public CView
{          
// Creation/Destruction                         
protected: 
	CPrntView();
	virtual ~CPrntView();
	DECLARE_DYNCREATE(CPrntView) 
	
private:
	BOOL m_bIsMoreToPrint;

// Interface
public:
	CPrntDoc* GetDocument()
		{ASSERT( (m_pDocument->IsKindOf(RUNTIME_CLASS(CPrntDoc)))  );
			return (CPrntDoc*) m_pDocument;}    
	CMainFrame* GetMainFrame()
		{ return (CMainFrame*)AfxGetApp()->m_pMainWnd;}                                                      
  CMDIChildWnd* GetDocFrame()
  	{ return (CMDIChildWnd*) GetParent();}

// On Handlers
public:
	virtual void OnActivateView(BOOL bActivate, CView* pActivateView,
					CView* pDeactiveView);
	virtual void OnDraw(CDC* pDC);  
	virtual void OnInitialUpdate();
	virtual void OnPrepareDC(CDC* pDC,CPrintInfo* pInfo = NULL);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);  
	virtual void OnPrint(CDC* pDC,CPrintInfo* pInfo);  
// Operations
	void PrintThumb(CDC* pDC,CPrintInfo* pInfo, CRect tr);
	void PrintCaption(CDC* pDC,CPrintInfo* pInfo, CRect* ptr,CString* pfile); 
	void PrintHeader(CDC* pDC,CPrintInfo* pInfo,CString* pfile);

// Generated message map functions
protected:
	//{{AFX_MSG(CPrntView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

